/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import { BeamFunction } from './beam-function';
// May contain unused imports in some cases
// @ts-ignore
import { SearchBeamId } from './search-beam-id';
// May contain unused imports in some cases
// @ts-ignore
import { TimingBeamId } from './timing-beam-id';
// May contain unused imports in some cases
// @ts-ignore
import { VlbiBeamId } from './vlbi-beam-id';

/**
 * Class that defines an SDP Beam configuration.
 * @export
 * @interface Beam
 */
export interface Beam {
    /**
     * 
     * @type {string}
     * @memberof Beam
     */
    'beam_id': string;
    /**
     * 
     * @type {BeamFunction}
     * @memberof Beam
     */
    'function': BeamFunction;
    /**
     * 
     * @type {SearchBeamId}
     * @memberof Beam
     */
    'search_beam_id'?: SearchBeamId;
    /**
     * 
     * @type {TimingBeamId}
     * @memberof Beam
     */
    'timing_beam_id'?: TimingBeamId;
    /**
     * 
     * @type {VlbiBeamId}
     * @memberof Beam
     */
    'vlbi_beam_id'?: VlbiBeamId;
}



